CREATE TABLE module_bf1942_operators (
--	id				INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
	client_id		INT UNSIGNED PRIMARY KEY
-- ,	user_type		VARCHAR(64)

-- ,		UNIQUE(user_id)
-- ,		INDEX(user_id)
) TYPE=InnoDB;

CREATE TABLE module_bf1942_servers (
	id				INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	type			ENUM('mng', 'view') NOT NULL DEFAULT 'mng'
-- for 'mng' and 'view'
,	rcon			ENUM('on', 'off') NOT NULL DEFAULT 'off'
,	rcon_username	VARCHAR(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	rcon_password	VARCHAR(32) CHARACTER SET ascii COLLATE ascii_bin NOT NULL
,	rcon_port		SMALLINT UNSIGNED NOT NULL DEFAULT 4711

-- only for 'view'
,	host			VARCHAR(63) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	lst_spy_port	SMALLINT UNSIGNED NOT NULL DEFAULT 23000

-- only for 'mng'
,	hst_id			INT UNSIGNED NOT NULL DEFAULT 0
,	cfg_dir			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL
,	status			ENUM('stop', 'start') NOT NULL DEFAULT 'stop'
--
,	name			VARCHAR(31) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	max_players		SMALLINT UNSIGNED NOT NULL DEFAULT 32
						-- 2 - 64
,	net_type		ENUM('internet', 'lan') NOT NULL  DEFAULT 'lan'
,	srv_bandwidth	ENUM('0', '8', '16', '32', '64', '128', '256', '512') NOT NULL DEFAULT '0'
,	cl_bandwidth	ENUM('CTModem56Kbps', 'CTCable128Kbps', 'CTCable256Kbps', 'CTLanT1') NOT NULL DEFAULT 'CTLanT1'
,	ip				VARCHAR(15) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '0.0.0.0'
,	port			SMALLINT UNSIGNED NOT NULL DEFAULT 14567
,	spy_lan_port	SMALLINT UNSIGNED NOT NULL DEFAULT 0
,	spy_port		SMALLINT UNSIGNED NOT NULL DEFAULT 0
--
,	game_time		SMALLINT UNSIGNED NOT NULL DEFAULT 0
						-- 0 - 120
,	score_lim		SMALLINT UNSIGNED NOT NULL DEFAULT 0
						-- 0 - 120
,	round_num		SMALLINT UNSIGNED NOT NULL DEFAULT 3
						-- 1 - 10
,	remote_admin	ENUM('on', 'off') NOT NULL DEFAULT 'off'
,	remote_admin_passwd	VARCHAR(32) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT ''
,	srv_passwd		VARCHAR(32) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT ''
,	punk_buster		ENUM('on', 'off') NOT NULL DEFAULT 'on'
,						INDEX(hst_id)
) TYPE=InnoDB;

CREATE TABLE module_bf1942_hostings (
	id				INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	op_id			INT UNSIGNED NOT NULL DEFAULT 0
,	address			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	login			VARCHAR(63) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	password		VARCHAR(63) CHARACTER SET ascii COLLATE ascii_bin NOT NULL
,	srv_dir			VARCHAR(255) CHARACTER SET binary NOT NULL
,	install_status	ENUM('not_install', 'installing', 'install') NOT NULL DEFAULT 'not_install'
);

CREATE TABLE module_bf1942_params (
	param			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL PRIMARY KEY
,	val				VARCHAR(255) CHARACTER SET binary
) TYPE=InnoDB;

